#{extends 'borderNG.html' /}
<ol class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}">&{'kontrak.paket_tender_ppk'}</a></li>
	<li><a href="@{lelang.KontrakCtr.sppbjPpk(sppbj.lls_id)}">&{'kontrak.e_kontrak'}</a></li>
	<li class="active">&{'kontrak.form_perintah'}</li>
</ol>
<div class="content">
 #{alert /}
#{form @lelang.KontrakCtr.simpanSpmk(sppbj.sppbj_id, kontrakx.kontrak_id), name:'formPesanan', enctype:"multipart/form-data", method:'POST', class:'form-horizontal'}

  	<table class="table table-condensed">
  	#{if pesananx?.pes_id!=null}
  	<input type="hidden" name="pesanan.pes_id" value="${pesananx?.pes_id}">
  	<input type="hidden" name="pesanan.kontrak_id" value="${pesananx?.kontrak_id}">
  	#{/if}
    		<tr >
				<td  width="300">&{'kontrak.no_surat_mulai_kerja'}<span class="error"> *</span></td>
				<td class="#{errorClass 'pesanan.pes_no'/}">
					<input type="text" class="form-control input-sm" required id="noSuratPesanan" name="pesanan.pes_no" value="${pesananx?.pes_no}"/>
					<span class="help-block">#{error 'pesanan.pes_no' /}</span>
				</td>
			</tr>
			<tr >
				<td >&{'kontrak.tgl_spmk'}<span class="warning"> *</span></td>
				<td class="#{errorClass 'pesanan.pes_tgl'/}">
					<div class=" input-group date width-normal ">
						<input name="pesanan.pes_tgl" required value="${pesananx?.pes_tgl?.toDatepicker()}" type="text" class="form-control" />
            			<span class="input-group-addon"><i class="fa fa-calendar"></i></span>
            		</div> 
            		<span class="help-block">#{error 'pesanan.pes_tgl' /}</span>
				</td>
			</tr>
			
			<tr >
				<td >&{'kontrak.tgl_spmk'}</td>
				<td >
					${lelang?.paket?.pkt_nama}
				</td>
			</tr>
			
			<tr >
				<td >&{'kontrak.nama_ppk'}</td>
				<td >
					${pegawai.peg_nama}
				</td>
			</tr>
			
			<tr >
				<td >&{'kontrak.jabatan_ppk'}</td>
				<td >
					${pegawai.peg_jabatan}
				</td>
			</tr>
			
			<tr >
				<td >&{'kontrak.nip_ppk'}</td>
				<td >
					${pegawai.peg_nip}
				</td>
			</tr>
			
			<tr >
				<td >&{'kontrak.nama_satuan_kerja'}</td>
				<td >
					${lelang?.paket?.getNamaSatker()}
				</td>
			</tr>
			
			<tr >
				<td >&{'kontrak.alamaat_satuan_kerja'}</td>
				<td >
					${lelang?.paket?.getAlamatSatker()}
				</td>
			</tr>
			
			<tr >
				<td >&{'kontrak.no_surat_perjanjian'}</td>
				<td >
					${kontrakx?.kontrak_no}
				</td>
			</tr>
			
			<tr >
				<td >&{'kontrak.tgl_surat_perjanjian'}</td>
				<td >
					${kontrakx?.kontrak_tanggal?.formatDate()}
					
				</td>
			</tr>
			
			<tr >
				<td >&{'kontrak.nama_pemenang'}</td>
				<td >
					${kontrakx?.rekanan?.rkn_nama}
				</td>
			</tr>
			
			<tr >
				<td >&{'kontrak.alamat_pemenang'}</td>
				<td >
					${kontrakx?.rekanan?.rkn_alamat}
				</td>
			</tr>
			
			<tr >
                <td >&{'kontrak.wakil_sahs'} <span class="error">*</span></td>
                <td class="#{errorClass 'content.wakil_sah_rekanan'/}">
                    <input type="text" class="form-control input-sm"  name="content.wakil_sah_rekanan" value="${content?.wakil_sah_rekanan}"/>
                    <span class="help-block">#{error 'content.wakil_sah_rekanan' /}</span>
				</td>
			</tr>
			
			<tr >
                <td >&{'kontrak.wakil_penyedia'} <span class="error">*</span></td>
                <td class="#{errorClass 'content.jabatan_wakil_rekanan'/}">
					<input type="text" class="form-control input-sm"  name="content.jabatan_wakil_rekanan" value="${content?.jabatan_wakil_rekanan}"/>
                    <span class="help-block">#{error 'content.jabatan_wakil_rekanan' /}</span>
				</td>
			</tr>
			<tr >
				<!-- <td >Tgl Barang Diterima: </td> -->
                <td>&{'kontrak.tanggal_mulai_kerja'} <span class="error">*</span></td>
                <td class="#{errorClass 'tgl_diterima'/}">
                    <div class=" input-group date width-normal ">
						<input name="tgl_diterima" value="${content?.tgl_brng_diterima?.toDatepicker()}" type="text" class="form-control" />
						<span class="input-group-addon"><i class="fa fa-calendar"></i></span>
					</div>
                    <span class="help-block">#{error 'tgl_diterima' /}</span>
				</td>
			</tr>
			
			<tr >
                <td >&{'kontrak.waktu_penyelesaian'} <span class="error">*</span></td>
                <td class="#{errorClass 'content.waktu_penyelesaian'/}">
                    <input type="text" class="form-control input-sm #{errorClass 'objPaketEContract.waktuPenyelesaian'/}"  name="content.waktu_penyelesaian" value="${content?.waktu_penyelesaian}" placeholder="Contoh Pengisian :30 hari Kalender, 2 tahun, 3 bulan"/>
                    <span class="help-block">#{error 'content.waktu_penyelesaian' /}</span>
                </td>
			</tr>
			
			<tr >
                <td >&{'kontrak.tanggal_penyelesaian'} <span class="error">*</span></td>
                <td class="#{errorClass 'tgl_selesai'/}">
                    <div class=" input-group date width-normal ">
						<input name="tgl_selesai" value="${content?.tgl_pekerjaan_selesai?.toDatepicker()}" type="text" class="form-control" />
						<span class="input-group-addon"><i class="fa fa-calendar"></i></span>
					</div>
                    <span class="help-block">#{error 'tgl_selesai' /}</span>
                </td>
			</tr>
			
			<tr >
                <td >&{'kontrak.kota_spmk'}<span class="error">*</span></td>
                <td class="#{errorClass 'content.kota_pesanan'/}">
                    <input type="text" class="form-control input-sm " name="content.kota_pesanan" value="${content?.kota_pesanan}"/>
                    <span class="help-block">#{error 'content.kota_pesanan' /}</span>
                </td>
			</tr>
			
			<tr >
                <td >&{'kontrak.lingkup_pekerjaan'} <span class="error">*</span></td>
                <td class="#{errorClass 'content.lingkup_pekerjaan'/}">
					<input type="text" class="form-control input-sm " name="content.lingkup_pekerjaan" value="${content?.lingkup_pekerjaan}"/>
                    <span class="help-block">#{error 'content.lingkup_pekerjaan' /}</span>
                </td>
			</tr>
			#{if pesananx?.pes_id}
				<tr >
                    <td >&{'kontrak.doc_spmk'} </td>
                    <td>
						<div class="btn btn-success fileinput-button" style="margin-bottom: 10px;">
							<i class="glyphicon glyphicon-plus"></i>
							<span>&{'kontrak.upload'}</span>
							<input id="fileupload" type="file" name="file" />
						</div>
						<div id="progress" class="progress" style="display: none;">
							<div class="progress-bar progress-bar-success"></div>
						</div>
						<div id="alert-upload"></div>
						<input type="hidden" id="id_attachment" name="pesanan.pes_attachment" value="${pesananx?.pes_attachment}" />
						<table class="table table-striped" id="files">
							<thead>
							<th>&{'kontrak.nama_file'}</th>
							<th>&{'kontrak.tgl_uplod'}</th>
							<th>&{'kontrak.aksi'}</th>
							</thead>
							<tbody>
								#{list items:pesananx?.dokumen, as:'dok'}
								<tr>
									<td>#{download dok/}</td>
									<td>${dok?.blb_date_time?.formatDateTime()}</td>
									<td><a href="javascript:void(0)" title="Hapus" class="removeDok" versi="${dok.blb_versi}">
										<i class="fa fa-trash-o"></i></a>
									</td>
								</tr>
								#{/list}
							</tbody>
						</table>
					</td>
				</tr>
			#{/if}
  			<tr>
				<td colspan="3">
				<button type="submit" name="simpan"  class="btn btn-success"><i class="fa fa-save"></i> &{'kontrak.btn_simpan'}</button>
					#{if pesananx?.pes_id}
					<a href="@{lelang.KontrakCtr.cetakPesanan(sppbj.sppbj_id, kontrakx.kontrak_id, pesananx.pes_id)}" class="btn btn-primary" target="_blank"><i class="fa fa-print"></i> &{'kontrak.cetak'}</a>
					<a href="@{lelang.KontrakCtr.hapusPesanan(sppbj.sppbj_id, kontrakx.kontrak_id, pesananx.pes_id)}" class="btn btn-danger" ><i class="fa fa-trash-o fa-lg"></i> &{'kontrak.hapus'}</a>
					#{/if}
					<a href="@{lelang.KontrakCtr.sppbjPpk(sppbj.lls_id)}" class="btn btn-default" >&{'kontrak.kembali'} </a>
				</td>
			</tr>
    	</table>
    	#{/form}	
</div>
#{set 'css_custom' } 
<link href="#{assets '/bootstrap/css/bootstrap-datepicker.min.css'/}" rel="stylesheet" type="text/css">
<link href="#{assets '/bootstrap/css/jquery.fileupload.css'/}" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/bootstrap/js/bootstrap-datepicker.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/jquery.ui.widget.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/jquery.iframe-transport.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/jquery.fileupload.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/jquery.fileupload-process.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/jquery.fileupload-validate.js'/}"></script>
	#{if pesananx?.pes_id}
	<script type="text/javascript">
	#{if sppbj.sppbj_id != null}
		$(document).on('click', '#fileupload', function(){
			var url = '@{lelang.KontrakCtr.uploadDokPesanan(pesananx?.pes_id)}';
			$('#fileupload').fileupload({
				url: url,
				dataType: 'json',
				acceptFileTypes: /(\.|\/)(txt|doc|docx|xls|xlsx|pdf|jpg|png|zip|rar)$/i,
				done: function (e, data) {
					$('#progress').hide();
					if (data.result.success) {
						$.each(data.result.files, function (index, file) {
							var upload_date = file.upload_date;
							var content = '<td>' + file.name + '<td>' + upload_date + '</td><td>' +
									'<a href="javascript:void(0)" class="removeDok" versi="' + file.versi + '">' +
									'<i class="fa fa-trash-o" ></i></a></td>';
							$('#id_attachment').val(file.id);
							$('<tr/>').html(content).appendTo('#files');
						});
						$('#alert-upload').attr('class', 'alert alert-success').html('&{'flash.fbd'}').show();
					} else {
						$('#alert-upload').attr('class', 'alert alert-danger').html(data.result.message).show();
					}
				},
				progressall: function (e, data) {
					var progress = parseInt(data.loaded / data.total * 100, 10);
					$('#progress').show();
					$('#progress .progress-bar').css(
							'width',
							progress + '%'
					);
				}
			}).on('fileuploadprocessalways', function (e, data) {
				var file = data.files[data.index];
				if (data.files.error && file.error) {
					var msg = file.name+' - '+file.error
					$('#alert-upload').attr('class', 'alert alert-danger').html(msg).show()
				}
			}).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
		});

		$(document).on('click', '.removeDok', function(){
			var versi = $(this).attr('versi')
			var parent = $(this).parent()
			var source  = #{jsRoute @lelang.KontrakCtr.hapusDokumenSuratPesanan(pesananx?.pes_id) /};
			$.ajax({
				type: 'POST',
				url: source.url(),
				data : {'versi': versi},
				success : function(){
					$('#alert-upload').attr('class', 'alert alert-success').html('&{'flash.ftbdh'}').show();
					parent.parent().remove()
				},
				error : function(){
					$('#alert-upload').attr('class', 'alert alert-danger').html('&{'flash.ftdkdbh'}').show();
				}
			})
		});
		#{/if}
	</script>
	#{/if}
#{/set}